
Installer - Refactor #29208

Remove custom error methods in favor of fail_and_exit

02/27/2020 04:01 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/478

  

Description

The fail_and_exit method has been introduced as a shared method for all hooks, but not all hooks use this.

Associated revisions

Revision cb9a1fed - 02/27/2020 09:36 PM - Ewoud Kohl van Wijngaarden

Fixes #29208 - Use fail_and_exit where possible

This replaces various custom definition of the error method with the

central fail_and_exit.

History

#1 - 02/27/2020 04:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/478 added

#2 - 02/27/2020 09:36 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 02/27/2020 10:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|cb9a1fed3bfd5e35b8a2048e6e9bf0ee7cd65530.

Powered by TCPDF (www.tcpdf.org)

05/12/2024 1/1

https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/cb9a1fed3bfd5e35b8a2048e6e9bf0ee7cd65530
http://www.tcpdf.org

